%define version 3.1.2
%define betaver 0
%define rel 1
%if %betaver
%define release %mkrel -c %betaver %rel
%define tarballver %version-%betaver
%else
%define release %mkrel %rel
%define tarballver %version
%endif

Name:           filezilla
Version:        %version
Release:        %release
Summary:        Fast and reliable FTP client
Group:          Networking/File transfer
License:        GPLv2+ 
URL:            http://filezilla.sourceforge.net/
Source0:        http://nchc.dl.sourceforge.net/sourceforge/%{name}/FileZilla_%{tarballver}_src.tar.bz2
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root
%if %mdkversion > 200800
BuildRequires:  wxgtku2.8-devel
%else
BuildRequires:  wxgtku-devel >= 2.8
%endif
BuildRequires:  idn-devel
BuildRequires:  gnutls-devel
BuildRequires:	ImageMagick
BuildRequires:	desktop-file-utils

%description
FileZilla is a fast and reliable FTP client and server with lots 
of useful features and an intuitive interface

%if %mdkversion < 200900
%post
%update_menus
%update_icon_cache hicolor
%endif

%if %mdkversion < 200900
%postun
%clean_menus
%clean_icon_cache hicolor
%endif

%files -f %{name}.lang
%defattr(-,root,root,-)
%{_bindir}/%{name}
%{_bindir}/fzsftp
%{_bindir}/fzputtygen
%dir %{_datadir}/%{name}
%{_datadir}/%{name}/resources
%{_datadir}/%{name}/docs/fzdefaults.xml.example
%{_iconsdir}/hicolor/*/apps/filezilla.png
%{_datadir}/applications/filezilla.desktop
%{_datadir}/pixmaps/filezilla.png
%{_mandir}/man*/*

#--------------------------------------------------------------------

%prep
%setup -q -n %name-%tarballver

%build
%configure2_5x --disable-autoupdatecheck
%make -j1

%install
rm -rf %buildroot
%makeinstall_std

mkdir -p %{buildroot}/%{_iconsdir}/hicolor/{16x16,32x32,48x48}/apps
cp src/interface/resources/16x16/filezilla.png %{buildroot}/%{_iconsdir}/hicolor/16x16/apps/filezilla.png
cp src/interface/resources/32x32/filezilla.png %{buildroot}/%{_iconsdir}/hicolor/32x32/apps/filezilla.png
cp src/interface/resources/48x48/filezilla.png %{buildroot}/%{_iconsdir}/hicolor/48x48/apps/filezilla.png

desktop-file-install --vendor='' \
	--dir=%buildroot%_datadir/applications \
	--add-category='GTK' \
	--add-category='X-MandrivaLinux-CrossDesktop'\
	%buildroot%_datadir/applications/*.desktop

%find_lang %name

%clean
rm -rf $RPM_BUILD_ROOT


%changelog
* Sun Aug 31 2008 Funda Wang <fundawang@mandriva.org> 3.1.2-1mdv2009.0
+ Revision: 277725
- New version 3.1.2

* Mon Aug 25 2008 Funda Wang <fundawang@mandriva.org> 3.1.2-0.rc1.1mdv2009.0
+ Revision: 275591
- New version 3.1.2 rc1

* Mon Aug 11 2008 Funda Wang <fundawang@mandriva.org> 3.1.1.1-1mdv2009.0
+ Revision: 270925
- New version 3.1.1.1

* Mon Aug 11 2008 Funda Wang <fundawang@mandriva.org> 3.1.1-1mdv2009.0
+ Revision: 270698
- New version 3.1.1

* Tue Aug 05 2008 Funda Wang <fundawang@mandriva.org> 3.1.1-0.rc1.1mdv2009.0
+ Revision: 263671
- New version 3.1.1 rc1
- el translation patch has been merged upstream
- fix BR for backporting

* Sat Jul 26 2008 Funda Wang <fundawang@mandriva.org> 3.1.0.1-1mdv2009.0
+ Revision: 250066
- New version 3.1.0.1

* Thu Jul 24 2008 Funda Wang <fundawang@mandriva.org> 3.1.0-1mdv2009.0
+ Revision: 244951
- 3.1.0 final

* Sun Jul 20 2008 Funda Wang <fundawang@mandriva.org> 3.1.0-0.rc2.1mdv2009.0
+ Revision: 238864
- New version 3.1.0 rc2

* Fri Jul 18 2008 Funda Wang <fundawang@mandriva.org> 3.1.0-0.rc1.1mdv2009.0
+ Revision: 237982
- New version 3.1.0 rc1

* Fri Jul 11 2008 Funda Wang <fundawang@mandriva.org> 3.1.0-0.beta1.1mdv2009.0
+ Revision: 233828
- New version 3.1.0 beta1

* Sun Jul 06 2008 Funda Wang <fundawang@mandriva.org> 3.0.11.1-1mdv2009.0
+ Revision: 232038
- update to new version 3.0.11.1

* Mon Jun 16 2008 Funda Wang <fundawang@mandriva.org> 3.0.11-1mdv2009.0
+ Revision: 219364
- %make failed in -j16
- fix el translation
- New version 3.0.11 final

  + Pixel <pixel@mandriva.com>
    - rpm filetriggers deprecates update_menus/update_scrollkeeper/update_mime_database/update_icon_cache/update_desktop_database/post_install_gconf_schemas

* Tue Jun 10 2008 Funda Wang <fundawang@mandriva.org> 3.0.11-0.rc1.1mdv2009.0
+ Revision: 217316
- New version 3.0.11

* Tue May 20 2008 Funda Wang <fundawang@mandriva.org> 3.0.10-1mdv2009.0
+ Revision: 209538
- New version 3.0.10 final

* Fri May 16 2008 Funda Wang <fundawang@mandriva.org> 3.0.10-0.rc2.1mdv2009.0
+ Revision: 208022
- New version 3.0.10 rc2

* Wed May 14 2008 Funda Wang <fundawang@mandriva.org> 3.0.10-0.rc1.1mdv2009.0
+ Revision: 207011
- New version 3.0.10 rc1

* Tue May 06 2008 Funda Wang <fundawang@mandriva.org> 3.0.9.3-1mdv2009.0
+ Revision: 201982
- New version 3.0.9.3

* Sat Apr 19 2008 Funda Wang <fundawang@mandriva.org> 3.0.9.2-1mdv2009.0
+ Revision: 195742
- New version 3.0.9.2

* Tue Mar 18 2008 Funda Wang <fundawang@mandriva.org> 3.0.8.1-1mdv2008.1
+ Revision: 188521
- New version 3.0.8.1
- drop patch0, merged upstream
- move mo files into correct directory
- add svn fix to have it built
- disable automatic update detection
- add missing binaries
- New version 3.0.8

* Thu Feb 28 2008 Anne Nicolas <anne.nicolas@mandriva.com> 3.0.7.1-2mdv2008.1
+ Revision: 176430
- fix menu

* Thu Feb 21 2008 Funda Wang <fundawang@mandriva.org> 3.0.7.1-1mdv2008.1
+ Revision: 173637
- New version 3.0.7.1
- Drop patch1, merged upstream

  + Thierry Vignaud <tvignaud@mandriva.com>
    - fix "foobar is blabla" summary (=> "blabla") so that it looks nice in rpmdrake

* Wed Jan 30 2008 Funda Wang <fundawang@mandriva.org> 3.0.6-1mdv2008.1
+ Revision: 160262
- New version 3.0.6

* Sat Jan 26 2008 Funda Wang <fundawang@mandriva.org> 3.0.6-0.rc1.1mdv2008.1
+ Revision: 158184
- disable parallel build as it will confuse x86_64 arch
- add man-pages
- New version 3.0.6 rc1
- rebuild against latest gnutls

* Sat Jan 12 2008 Funda Wang <fundawang@mandriva.org> 3.0.5.2-1mdv2008.1
+ Revision: 149675
- New version 3.0.5.2

* Sat Jan 12 2008 Funda Wang <fundawang@mandriva.org> 3.0.5.1-1mdv2008.1
+ Revision: 149219
- update to new version 3.0.5.1

* Fri Jan 11 2008 Funda Wang <fundawang@mandriva.org> 3.0.5-1mdv2008.1
+ Revision: 147963
- New version 3.0.5

* Tue Jan 01 2008 Funda Wang <fundawang@mandriva.org> 3.0.5-0.rc1.1mdv2008.1
+ Revision: 139982
- New version 3.0.5-rc1
- New version 3.0.4 rc1

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tvignaud@mandriva.com>
    - kill re-definition of %%buildroot on Pixel's request

* Wed Nov 07 2007 Funda Wang <fundawang@mandriva.org> 3.0.3-1mdv2008.1
+ Revision: 106695
- New version 3.0.3

* Thu Nov 01 2007 Funda Wang <fundawang@mandriva.org> 3.0.3-0.rc1.1mdv2008.1
+ Revision: 104320
- New version 3.0.3 rc1

* Fri Oct 19 2007 Funda Wang <fundawang@mandriva.org> 3.0.2.1-1mdv2008.1
+ Revision: 100333
- update to new version 3.0.2.1

* Wed Oct 17 2007 Funda Wang <fundawang@mandriva.org> 3.0.2-1mdv2008.1
+ Revision: 99715
- New version 3.0.2 final

* Sun Oct 14 2007 Funda Wang <fundawang@mandriva.org> 3.0.2-0.rc1.1mdv2008.1
+ Revision: 98255
- New unstable version 3.0.2 rc1

* Mon Sep 24 2007 Nicolas Lécureuil <neoclust@mandriva.org> 3.0.1-1mdv2008.0
+ Revision: 92463
- New version 3.0.1

* Sun Sep 09 2007 Nicolas Lécureuil <neoclust@mandriva.org> 3.0.0-1mdv2008.0
+ Revision: 83743
- Final 3.0.0 Release \o/

* Mon Sep 03 2007 Nicolas Lécureuil <neoclust@mandriva.org> 3.0.0-0.rc3.1mdv2008.0
+ Revision: 78565
- Fix desktop file (remove  image extension)

  + Funda Wang <fundawang@mandriva.org>
    - libwxgtk2.8-devel does not satisfied ??
    - New version 3.0 rc3

* Fri Aug 31 2007 Nicolas Lécureuil <neoclust@mandriva.org> 3.0.0-0.rc2.3mdv2008.0
+ Revision: 76734
- New version 3.0.0 Rc2

  + Thierry Vignaud <tvignaud@mandriva.com>
    - kill desktop-file-validate's 'warning: key "Encoding" in group "Desktop Entry" is deprecated'

* Mon Aug 13 2007 Funda Wang <fundawang@mandriva.org> 3.0.0-0.rc1.3mdv2008.0
+ Revision: 62669
- add post and postun section
- use hicolor icon theme

* Mon Aug 13 2007 Funda Wang <fundawang@mandriva.org> 3.0.0-0.rc1.2mdv2008.0
+ Revision: 62462
- fix icon

* Sat Aug 11 2007 Funda Wang <fundawang@mandriva.org> 3.0.0-0.rc1.1mdv2008.0
+ Revision: 61978
- New version 3.0.0 rc1

* Thu Aug 09 2007 Nicolas Lécureuil <neoclust@mandriva.org> 3.0.0-0.beta11.1mdv2008.0
+ Revision: 60811
- New version (Beta11) (Bug #32431)

* Sun Jul 01 2007 Funda Wang <fundawang@mandriva.org> 3.0.0-0.beta10.1mdv2008.0
+ Revision: 46502
- use betaver macro
- New version

* Sun May 13 2007 Emmanuel Andry <eandry@mandriva.org> 3.0.0-0.beta8.1mdv2008.0
+ Revision: 26563
- New beta 8


* Sat Mar 31 2007 Nicolas Lécureuil <neoclust@mandriva.org> 3.0.0-0.beta6.2mdv2007.1
+ Revision: 150123
- Fix summary
- Add icon into menu (bug #29881)

* Sat Mar 03 2007 Emmanuel Andry <eandry@mandriva.org> 3.0.0-0.beta6.1mdv2007.1
+ Revision: 131879
- New version 3.0.0 beta 6
- create menu entry

* Tue Jan 23 2007 Nicolas Lécureuil <neoclust@mandriva.org> 3.0.0-0.beta5.1mdv2007.1
+ Revision: 112676
- Import filezilla

